
// QTreeFileStripe: a rectangle representing a depot file.  Contains a
// string (FileText) with its name, and a circle (RevBall) for each rev. 

class QTreeFileStripe : public QCanvasRectangle
{
public:
	QTreeFileStripe( QCanvas*, FileHead*, int w, int y, char, bool trunc );
	virtual ~QTreeFileStripe();

	// Slide the FileText over to the given x-coordinate. 
	void UpdateFText( int x ) { filetext->move( x, filetext->y() ); } ;
	// Update color of this stripe, including revs.
	void UpdateBrush();

	void MoveY( double y );

	QString Name() { return filetext->Name().Text(); };

	char stripecolor;
private:
	FileHead* filehead;
	QTreeFileText* filetext;
	QTreeRevBall** revballs;
};

